var mainWindow     = global.mainWindow,
    gui            = global.gui,
    path           = require('path'),
    fdialogs       = require('node-webkit-fdialogs'),
    notifier       = require('node-notifier'),
	fs			   =  require('fs'),
    $              = global.jQuery,
	objHelpers     = global.objHelpers,
	folderPictures = '/pictures',
	objFilelist = global.objFilelist;
 
 
 
/*-----------------------------------получаем название папки приложения ------------------------------*/
var appDir = path.dirname(process.execPath); 


/*-----------создание папки pictures------------*/
function ensureExists(path, mask, cb) {
    if (typeof mask == 'function') { // allow the `mask` parameter to be optional
        cb = mask;
        mask = 0777;
    }
    fs.mkdir(path, mask, function(err) {
        if (err) {
            if (err.code == 'EEXIST') cb(null); // ignore the error if the folder already exists
            else cb(err); // something else went wrong
        } else cb(null); // successfully created folder
    });
}
/*проверка*/
ensureExists(appDir + folderPictures, 0744, function(err) {
     if (err)  console.log("Error folder");
     else   console.log("True folder");
});



/*-----------------------------------работа с файлами ------------------------------*/
var walk    = require('walk');
var files   = [];

 

var str=/\\/g;
var dir = appDir.replace(str,'/');
 
var walker  = walk.walk(appDir + folderPictures, { followLinks: false });

var formatExt = ['gif','png','jpeg','jpg'];

walker.on('file', function(root, stat, next) {
 // console.log(stat);
	var a = stat.name.split('.');
	var ext = a[a.length-1];
	if($.inArray(ext, formatExt)!==-1){
		files.push(dir +  folderPictures +'/' + stat.name);
		
	}
 next();
    
});

walker.on('end', function() {
  //  console.log(files);
	/*----передаем путь к названии папки где расположены изображения----*/
	objFilelist.switch_files(files);


});


$('#copy-image-file').on('click', function() {
  var openDialog = new fdialogs.FDialog({
    type: 'open',
    accept: ['.gif','.png','image/jpeg'],
  });

/*-----------------------------------копируем файл папку ------------------------------*/
  openDialog.readFile(function(err, data, path) {
  //  var fsp = require('fs-extra');
  var title = path.split('\\'); /*вычленяем название файла без пути*/
	var filename=  title[title.length-1];
	//console.log(path);
	fs.writeFileSync(dir +  folderPictures +'/'+filename, fs.readFileSync(path));
	var item = objFilelist.generate_item_filelist(dir +  folderPictures +'/'+filename);
	$('#mCSB_3_container').append(item);
  });
   
});

 







